<div [class]="theme$ | async">
  <mat-sidenav-container class="blueprint" (backdropClick)="toggleSidenav('backdropClick')" autosize>

    <!-- HEADER -->
    <mat-sidenav #sidenav mode="push" [(opened)]="sidenavState" (scroll)="sidenav.close()">
      <app-header [title]="seo$ | async" [logo]="logo"></app-header>
    </mat-sidenav>

    <!-- MAIN -->
    <mat-sidenav-content>

      <main class="pages blueprint-overlay">
        <router-outlet #o="outlet"></router-outlet>
      </main>

    </mat-sidenav-content>

  </mat-sidenav-container>

  <app-settings 
    #settingsComponent
    (sidenavState)="toggleSidenav($event)">
  </app-settings>

  <!-- FOOTER -->
  <app-footer [logo]="logo"></app-footer>
</div>




